MODULE EvenOdd EXPORTS Main;

(* Ausgabe der Zugfolge fuer Tuerme von indirekte Rekursion

   Autor    : Horst Lichter, Antje Nowack

   Umgebung : SRC-Modula-3 rel. 3.6, Windows NT 4.0

   Erstellt : 28.08.98   Letzte Aenderung: 10.11.2000

*)



IMPORT SIO, Text;



(* Die folgende Funktion gibt im Wesentlichen zu einer 

   Zeichenfolge an, ob ihre Laenge eine gerade Zahl ist.

   Eine Zahl > 0 ist genau dann gerade wenn ihr

   Vorgaenger ungerade ist.*)





PROCEDURE IsEven (str: TEXT) : BOOLEAN  =

BEGIN

  IF Text.Empty (str) THEN RETURN TRUE;

  ELSE RETURN (IsOdd (Text.Sub(str,1)));

  END;

END IsEven ;



PROCEDURE IsOdd (str: TEXT) : BOOLEAN  =

BEGIN

  IF Text.Empty (str) THEN RETURN FALSE;

  ELSE RETURN (IsEven (Text.Sub(str, 1)));

  END;

END IsOdd ;



BEGIN

  SIO.PutBool ( IsEven (SIO.GetWord()));

  SIO.Nl(); 

END EvenOdd.