;; Die folgende Funktion gibt zu einer Liste und einem potentiellen 
;; Listenelement x die Haeufigkeit des Auftretens von x in der Lsite.
(defun anzahl (list x)
  (- (length list) (length (remove x list))))



;; Die folgende Funktion liefert zu einer Liste eine Liste, die zu jedem 
;; Listenelement der eingegebenen Liste auch die Haeufigkeit seines Auftretens
;; angibt.
(defun statistik (list) 
    (setq x (car list))
    (cond ((null list) ())
          (t (cons (cons x (anzahl list x)) (statistik (remove x list))))))


;;-----------------------------------------------------------------------------
;; Die folgende Prozedur leistet das Gleiche wie die vorhergehende. Hierbei
;; wird jedoch nicht nicht die Funktion anzahl benutzt wird sondern ein 
;; entsprechender Lamda-Ausruck eingesetzt.
                         
(defun statistik-lambda (list) 
    (setq x (car list))
    (cond ((null list) ())
           (t (cons 
               (cons x ((lambda (l y) (- (length l) (length (remove y l)))) 
                                     list x))
               (statistik-lambda (remove x list))))))   
                       
